Can Kibana 7.1.1 work with Elasticsearch 7.2.1

Hi,
Although the support matrix said Kibana and Elasticsearch need to be the same version, I am just wondering can Kibana 7.1.1 work with Elasticsearch 7.2.1? I am asking this because I can't get Kibana 7.2.1 working on my machine platform due to nodegit compile issue (will be asking this on another thread).
Thanks,

It will work if there are minor versions but this is not supported unless it's specifically mentioned (for exemple when upgrading major versions, it will work with the next ES version).
Otherwise there is a check at start that won't let it connect to a different version of ES.